import sys
from MineField import MineField

class Minesweeper:
    def setField(self, f):
	self.m_field = f

    def setUI(self, i):
	self.m_ui = i

    def quit(self):
	sys.exit(0)

    def setupGame(self):
	self.m_ui.startNewGame()

    def initField(self, width, height, mines):
	self.m_field = MineField(width, height, mines)

    def getField(self):
	return self.m_field
